## thunderbird 17.0.5+build1

=== debian/control ===
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.raring
Build-Depends: cdbs (>= 0.4.27),
	debhelper (>= 7),
	m4,
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev,
	libxrender-dev,
	yasm-1 (>= 1.1) | yasm (>= 1.1),
	imagemagick,
	libdbusmenu-gtk-dev,
	docbook-to-man,
	libkrb5-dev,
	unzip
Standards-Version: 3.9.1

Package: thunderbird
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary,
	${support:Recommends},
	libcanberra0
Suggests: ${support:Suggests},
	latex-xft-fonts,
	libthai0
Breaks: ${app:Breaks}
Replaces: ${app:Replaces}
Conflicts: ${app:Conflicts}
Provides: mail-reader
Section: mail
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.

Package: thunderbird-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
	thunderbird (= ${binary:Version}),
	${misc:Depends},
	${unity:Depends},
	${gconf:Depends}
Description: Email, RSS and newsgroup client - GNOME support
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package depends on the GNOME libraries which allow Thunderbird to take
 advantage of technologies such as GConf, GIO and libnotify

Package: thunderbird-dev
Architecture: any
Section: devel
Depends: thunderbird (= ${binary:Version}),
	${misc:Depends},
	${shlibs:Depends}
Description: Email, RSS and newsgroup client - development files
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the headers and SDK for building plugins and extensions
 with Thunderbird

Package: thunderbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Description: Email, RSS and newsgroup client - debug symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the debugging symbols for Thunderbird

Package: thunderbird-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends}
Description: Email, RSS and newsgroup client - Breakpad symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: thunderbird-globalmenu
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	thunderbird (= ${binary:Version})
Description: Unity appmenu integration for Thunderbird
 This package provides an extension which adds support for the Unity
 appmenu to Thunderbird

# Transitional packages below here

Package: thunderbird-gnome-support-dbg
Architecture: any
Depends: thunderbird-gnome-support, thunderbird-dbg, ${misc:Depends}
Description: Email, RSS and newsgroup client - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: thunderbird-locale-bn, ${misc:Depends}
Description: Transitional Bengali language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-gb
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-us
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-ar
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-es
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-fy-nl
Architecture: all
Depends: thunderbird-locale-fy, ${misc:Depends}
Description: Transitional Western Frisian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ga-ie
Architecture: all
Depends: thunderbird-locale-ga, ${misc:Depends}
Description: Transitional Irish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nb-no
Architecture: all
Depends: thunderbird-locale-nb, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nn-no
Architecture: all
Depends: thunderbird-locale-nn, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pa-in
Architecture: all
Depends: thunderbird-locale-pa, ${misc:Depends}
Description: Transitional Punjabi language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-br
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-pt
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-sv-se
Architecture: all
Depends: thunderbird-locale-sv, ${misc:Depends}
Description: Transitional Swedish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ta-lk
Architecture: all
Depends: thunderbird-locale-ta, ${misc:Depends}
Description: Transitional Tamil language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-cn
Architecture: all
Depends: thunderbird-locale-zh-hans, ${misc:Depends}
Description: Transitional Simplified Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-tw
Architecture: all
Depends: thunderbird-locale-zh-hant, ${misc:Depends}
Description: Transitional Traditional Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: thunderbird-locale-af
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Thunderbird
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: thunderbird-locale-ar
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Arabic language pack for Thunderbird
 This package contains Arabic translations and search plugins
 for Thunderbird

Package: thunderbird-locale-ast
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Asturian language pack for Thunderbird
 This package contains Asturian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-be
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Belarusian language pack for Thunderbird
 This package contains Belarusian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-bg
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Bulgarian language pack for Thunderbird
 This package contains Bulgarian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-bn
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Bengali language pack for Thunderbird
 This package contains Bengali translations and search plugins
 for Thunderbird

## thunderbird 24.0+build1

=== debian/control ===
# vim:noexpandtab:
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.saucy
Build-Depends: cdbs (>= 0.4.27),
	debhelper (>= 7),
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev,
	libxrender-dev,
	yasm (>= 1.1),
	imagemagick,
	docbook-to-man,
	libkrb5-dev,
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7)
Build-Conflicts: python-progressbar
Standards-Version: 3.9.1
#XS-Testsuite: autopkgtest

Package: thunderbird
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk4
Suggests: ${support:Suggests},
	ttf-lyx
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Provides: mail-reader,
	${app:Provides}
Section: mail
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.

Package: thunderbird-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
	thunderbird (= ${binary:Version}),
	${misc:Depends},
	${unity:Depends},
	libnotify4 | libnotify1
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - GNOME support
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package depends on the GNOME libraries which allow Thunderbird to take
 advantage of technologies such as GConf, GIO and libnotify

Package: thunderbird-dev
Architecture: any
Section: devel
Depends: thunderbird (= ${binary:Version}),
	${misc:Depends},
	${shlibs:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - development files
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the headers and SDK for building plugins and extensions
 with Thunderbird

Package: thunderbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - debug symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the debugging symbols for Thunderbird

Package: thunderbird-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - Breakpad symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: thunderbird-testsuite
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	thunderbird (= ${binary:Version}),
	thunderbird-gnome-support (= ${binary:Version}),
	thunderbird-locale-bn-bd (= ${binary:Version}), thunderbird-locale-en-gb (= ${binary:Version}), thunderbird-locale-en-us (= ${binary:Version}), thunderbird-locale-es-ar (= ${binary:Version}), thunderbird-locale-es-es (= ${binary:Version}), thunderbird-locale-fy-nl (= ${binary:Version}), thunderbird-locale-ga-ie (= ${binary:Version}), thunderbird-locale-nb-no (= ${binary:Version}), thunderbird-locale-nn-no (= ${binary:Version}), thunderbird-locale-pa-in (= ${binary:Version}), thunderbird-locale-pt-br (= ${binary:Version}), thunderbird-locale-pt-pt (= ${binary:Version}), thunderbird-locale-sv-se (= ${binary:Version}), thunderbird-locale-ta-lk (= ${binary:Version}), thunderbird-locale-zh-cn (= ${binary:Version}), thunderbird-locale-zh-tw (= ${binary:Version}), thunderbird-locale-af (= ${binary:Version}), thunderbird-locale-ar (= ${binary:Version}), thunderbird-locale-ast (= ${binary:Version}), thunderbird-locale-be (= ${binary:Version}), thunderbird-locale-bg (= ${binary:Version}), thunderbird-locale-bn (= ${binary:Version}), thunderbird-locale-br (= ${binary:Version}), thunderbird-locale-ca (= ${binary:Version}), thunderbird-locale-cs (= ${binary:Version}), thunderbird-locale-da (= ${binary:Version}), thunderbird-locale-de (= ${binary:Version}), thunderbird-locale-el (= ${binary:Version}), thunderbird-locale-en (= ${binary:Version}), thunderbird-locale-es (= ${binary:Version}), thunderbird-locale-et (= ${binary:Version}), thunderbird-locale-eu (= ${binary:Version}), thunderbird-locale-fi (= ${binary:Version}), thunderbird-locale-fr (= ${binary:Version}), thunderbird-locale-fy (= ${binary:Version}), thunderbird-locale-ga (= ${binary:Version}), thunderbird-locale-gd (= ${binary:Version}), thunderbird-locale-gl (= ${binary:Version}), thunderbird-locale-he (= ${binary:Version}), thunderbird-locale-hr (= ${binary:Version}), thunderbird-locale-hu (= ${binary:Version}), thunderbird-locale-hy (= ${binary:Version}), thunderbird-locale-id (= ${binary:Version}), thunderbird-locale-is (= ${binary:Version}), thunderbird-locale-it (= ${binary:Version}), thunderbird-locale-ja (= ${binary:Version}), thunderbird-locale-ka (= ${binary:Version}), thunderbird-locale-ko (= ${binary:Version}), thunderbird-locale-lt (= ${binary:Version}), thunderbird-locale-mk (= ${binary:Version}), thunderbird-locale-nb (= ${binary:Version}), thunderbird-locale-nl (= ${binary:Version}), thunderbird-locale-nn (= ${binary:Version}), thunderbird-locale-pa (= ${binary:Version}), thunderbird-locale-pl (= ${binary:Version}), thunderbird-locale-pt (= ${binary:Version}), thunderbird-locale-rm (= ${binary:Version}), thunderbird-locale-ro (= ${binary:Version}), thunderbird-locale-ru (= ${binary:Version}), thunderbird-locale-si (= ${binary:Version}), thunderbird-locale-sk (= ${binary:Version}), thunderbird-locale-sl (= ${binary:Version}), thunderbird-locale-sq (= ${binary:Version}), thunderbird-locale-sr (= ${binary:Version}), thunderbird-locale-sv (= ${binary:Version}), thunderbird-locale-ta (= ${binary:Version}), thunderbird-locale-tr (= ${binary:Version}), thunderbird-locale-uk (= ${binary:Version}), thunderbird-locale-vi (= ${binary:Version}), thunderbird-locale-zh-hans (= ${binary:Version}), thunderbird-locale-zh-hant (= ${binary:Version}),,
	python,
	dbus-x11,
	xvfb,
	make,
	metacity,
	gnome-session,
	gnome-settings-daemon,
	ubuntu-settings,
	light-themes,
	unzip
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Email, RSS and newsgroup client - testsuite
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Thunderbird testsuite

Package: xul-ext-lightning
Architecture: any
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Recommends: xul-ext-gdata-provider,
	xul-ext-calendar-timezones
Enhances: thunderbird
Description: Calendar Extension for Thunderbird
 Lighting is the Mozilla Calendar extension for Thunderbird, based
 on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
 integrated with Thunderbird, allowing it to easily perform email-related 
 calendaring tasks.

Package: xul-ext-gdata-provider
Architecture: any
Depends: xul-ext-lightning (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Enhances: thunderbird, xul-ext-lightning
Description: Calendar Extension for Thunderbird - Google Calendar support
 Lighting is the Mozilla Calendar extension for Thunderbird, based
 on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
 integrated with Thunderbird, allowing it to easily perform email-related 
 calendaring tasks.
 .
 This package provides Google Calendar support. It's a recommended component 
 if you want to connect to your google calendar.

# Transitional packages below here

# Can be dropped after 14.04
Package: thunderbird-globalmenu
Architecture: any
Section: oldlibs
Priority: extra
Depends: thunderbird,
	${misc:Depends}
Description: Email, RSS and newsgroup client (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Can be dropped after 14.04
Package: xul-ext-calendar-timezones
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-gnome-support-dbg
Architecture: any
Depends: thunderbird-gnome-support, thunderbird-dbg, ${misc:Depends}
Description: Email, RSS and newsgroup client - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: thunderbird-locale-bn, ${misc:Depends}
Description: Transitional Bengali language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-gb

## thunderbird 24.2.0+build1

=== debian/changelog ===
thunderbird (1:24.2.0+build1-0ubuntu0.13.04.1) raring-security; urgency=low

  * New upstream stable release (THUNDERBIRD_24_2_0_BUILD1)
    - see LP: #1258653 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Dec 2013 21:47:49 +0000

thunderbird (1:24.1.1+build1-0ubuntu0.13.04.1) raring-security; urgency=low

  * New upstream stable release (THUNDERBIRD_24_1_1_BUILD1)
    - see LP: #1253027 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 20 Nov 2013 09:50:04 +0000

thunderbird (1:24.1.0+build1-0ubuntu0.13.04.1) raring-security; urgency=low

  * New upstream stable release (THUNDERBIRD_24_1_0_BUILD1)
    - see LP: #1245422 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 28 Oct 2013 11:04:11 +0000

thunderbird (1:24.0+build1-0ubuntu0.13.04.1) raring-security; urgency=low

  * New upstream stable release (THUNDERBIRD_24_0_BUILD1)
    - see LP: #1224912 for USN information

  * Switch to comm-esr24
  * Fix LP: #1064423 - "Submitting your report..." shows missing-icon icon.
    Install the throbber icon in the package
    - update debian/thunderbird.install.in
  * Disable the menubar addon
    - update debian/config/mozconfig.in
    - update debian/build/mozbuild.mk
    - update debian/thunderbird-globalmenu.dirs.in
  * Drop the menubar addon
    - remove debian/globalmenu
    - update debian/build/mozbuild.mk
    - update debian/config/mozconfig.in
    - update debian/control.in
    - remove debian/thunderbird-globalmenu.dirs.in
    - remove debian/patches/unity-globalmenu-build-support.patch
    - update debian/patches/series.in
  * Add native support for the Unity menubar (no addon)
    - add debian/patches/unity-menubar.patch
    - update debian/patches/series.in
  * Drop support for building on older than precise
    - update debian/apport/source_thunderbird.py.in
    - update debian/build/mozbuild.mk
    - update debian/config/mozconfig.in
    - update debian/control.in
    - remove debian/patches/add-syspref-dir.patch
    - update debian/patches/series.in
    - remove debian/patches/use-new-yasm-in-lucid.patch
    - update debian/rules
    - update debian/thunderbird-globalmenu.dirs.in
    - update debian/thunderbird.desktop.in
    - update debian/thunderbird.dirs.in
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.postinst.in
    - update debian/thunderbird.postrm.in
    - update debian/thunderbird.preinst.in
  * Drop the perl script for preprocessing the quilt series file
    - remove debian/build/enable-dist-patches.pl
    - update debian/build/mozbuild.mk
    - update debian/patches/series.in
  * Make sure that SHELL is set in the build environment
    - update debian/build/mozbuild.mk
  * Use virtualenv for compare-locales
    - update debian/build/create-tarball.py
    - update debian/build/mozbuild.mk
  * Add support for running xpcshell tests as autopkgtests
    - add debian/build/fix-mozinfo-appname.py
    - update debian/build/rules.mk
    - update debian/build/testsuite.mk
    - update debian/config/mozconfig.in to always build with --enable-tests
    - update debian/control.in to add testsuite package
    - update debian/rules
    - add debian/testing/filter_results
    - add debian/testing/results-filter-manifest.json
    - add debian/testing/run_xpcshell_tests
    - add debian/testing/testrunhelper.py
    - add debian/testing/xpcshell-build.ini
    - add debian/tests/control.in
    - add debian/tests/post-process
    - add debian/tests/xpcshell-tests
    - add debian/thunderbird-testsuite.install.in
    - add debian/thunderbird-testsuite.links.in
    - add debian/thunderbird-testsuite.lintian-overrides.in
    - add d/p/test-fixes/mozmill-workaround-shebang-char-limit.patch due to
      the virtenv path exceeding the shebang character limit
    - add d/p/test-fixes/xpcshell-chrome-fix-test_bug848297-with-locale-matchOS.patch
      to disable intl.locale.matchOS, which breaks the test
    - add d/p/test-fixes/xpcshell-contentprefs-no-writes-to-appdir.patch
      to fix tests that write to the application directory
    - add d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch to fix
      tests that write to the application directory
    - add d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch to
      fix tests that write to the application directory
    - add d/p/test-fixes/xpcshell-search-fix-tests-when-plugins-are-not-in-appdir.patch
      to fix tests that assume searchplugins are installed in the application
      directory
    - add d/p/test-fixes/xpcshell-xunit-output-no-bell.patch so that the
      xpcshell harness does not output the terminal bell character, which
      breaks Jenkins
    - add d/p/test-integration/automation-output-junit-xml.patch
    - add d/p/test-integration/xpcshell-disable-addon-select-dialog-test-for-adt.patch
      to fix some addon tests when the selection UI is disabled
    - add d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
      to disable some tests that need to write to the application directory
    - add d/p/test-integration/xpcshell-dont-return-nonzero-on-test-failure.patch
      so that the xpcshell harness does not return with non-zero when some tests
      fail. We detect failures in the JUnit XML results
    - add d/p/test-integration/xpcshell-output-valid-junit-xml.patch so that
      the JUnit output matches the schema
    - add d/p/test-integration/xpcshell-write-time-for-failed-test.patch so that
      the xpcshell harness writes the time even when the test fails
    - update debian/patches/series
  * Drop libthai suggest - this hasn't been needed for a long time
    - update debian/control
  * Replace latex-xft-fonts suggest with ttf-lyx (yes, I know this is a
    transitional package since 12.10, but it avoids suggesting a different
    package for each release)
    - update debian/control


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.saucy
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.raring
 Build-Depends: cdbs (>= 0.4.27),
 	debhelper (>= 7),
 	autotools-dev,

=== debian/rules ===
#!/usr/bin/make -f

MOZ_PKG_BASENAME	:= thunderbird

include $(CURDIR)/debian/build/config.mk

MOZ_APP			:= mail
MOZ_VENDOR		:=
MOZ_MOZDIR		:= mozilla

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_FORCE_UNOFFICIAL_BRANDING))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= nightly
endif
endif
ifeq (official,$(MOZ_BRANDING))
MOZ_BRANDING_DIR	:= other-licenses/branding/thunderbird
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_DIR	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_SEARCHPLUGIN_DIR	= $(MOZ_LIBDIR)/distribution/searchplugins

ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
UNITY_DEPENDS	:= libindicate5, libdbusmenu-gtk4, libunity9, libebook-1.2-12, libedataserver-1.2-15
else
UNITY_DEPENDS	:= libmessaging-menu0, libunity9, libebook-1.2-14, libedataserver-1.2-17
endif

# Make sure thunderbird-couchdb is removed on upgrade to 12.10
# See https://launchpad.net/bugs/1040839
ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
TB_COUCHDB_BREAKS	:= thunderbird-couchdb
endif

MOZ_LIGHTNING_PKG_NAME		= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-lightning)
MOZ_CALENDAR_TZ_PKG_NAME	= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-calendar-timezones)
MOZ_GDATA_PROVIDER_PKG_NAME	= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-gdata-provider)

MOZ_PKG_SUPPORT_SUGGESTS = $(MOZ_PKG_NAME)-gnome-support

MOZ_PKGNAME_SUBST_FILES = \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	$(NULL)

include $(CURDIR)/debian/build/rules.mk

MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
						$(MOZ_LIBDIR)/xpcshell \
						$(MOZ_LIBDIR)/testing/filter_results \
						$(NULL)

debian/control::
	sed -i -e 's/@MOZ_LIGHTNING_PKG_NAME@/$(MOZ_LIGHTNING_PKG_NAME)/g' \
	       -e 's/@MOZ_CALENDAR_TZ_PKG_NAME@/$(MOZ_CALENDAR_TZ_PKG_NAME)/g' \
	       -e 's/@MOZ_GDATA_PROVIDER_PKG_NAME@/$(MOZ_GDATA_PROVIDER_PKG_NAME)/g' debian/control

make-messagingmenu-addon: debian/messagingmenu/messagingmenu@mozilla.com.xpi
debian/messagingmenu/messagingmenu@mozilla.com.xpi:
	cd $(CURDIR)/debian/messagingmenu; \
		sh build.sh || exit 1; \
		mv $(CURDIR)/debian/messagingmenu/messagingmenu.xpi $(CURDIR)/debian/messagingmenu/messagingmenu@mozilla.com.xpi

make-eds-addon: debian/eds/edsintegration@mozilla.com.xpi
debian/eds/edsintegration@mozilla.com.xpi:
	cd $(CURDIR)/debian/eds; \
		LIBXUL_SDK=$(CURDIR)/$(MOZ_DISTDIR) sh build.sh || exit 1; \
		mv $(CURDIR)/debian/eds/edsintegration.xpi $(CURDIR)/debian/eds/edsintegration@mozilla.com.xpi

common-build-arch:: make-messagingmenu-addon make-eds-addon

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (thunderbird,$(MOZ_PKG_NAME))
TB_REPLACES = mozilla-thunderbird, thunderbird-gnome-support (<= 3.0.4+nobinonly-0ubuntu3)
TB_CONFLICTS = mozilla-thunderbird
TB_BREAKS = thunderbird-gnome-support (<= 3.0.4+nobinonly-0ubuntu3), $(TB_COUCHDB_BREAKS)
install/thunderbird::
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Replaces,$(TB_REPLACES))
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Conflicts,$(TB_CONFLICTS))
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Breaks,$(TB_BREAKS))
else
TB_BREAKS = $(TB_COUCHDB_BREAKS)
install/$(MOZ_PKG_NAME)::
	$(call WRITE_SUBSTVARS,$(MOZ_PKG_NAME),transitional:Breaks,$(TB_BREAKS))
endif

ifneq (,$(UNITY_DEPENDS))
install/$(MOZ_PKG_NAME)-gnome-support::
	$(call WRITE_SUBSTVARS,$(MOZ_PKG_NAME)-gnome-support,unity:Depends,$(UNITY_DEPENDS))
endif

binary-install/$(MOZ_PKG_NAME)::
	convert -resize 32x32 debian/$(MOZ_PKG_NAME)/usr/share/pixmaps/$(MOZ_APP_NAME).png debian/$(MOZ_PKG_NAME)/usr/share/pixmaps/$(MOZ_APP_NAME).xpm
	echo "/usr/share/applications/$(MOZ_APP_NAME).desktop" > debian/$(MOZ_PKG_NAME)/usr/share/indicators/messages/applications/$(MOZ_APP_NAME)

binary-install/$(MOZ_LIGHTNING_PKG_NAME)::
	dh_installdirs -p$(MOZ_LIGHTNING_PKG_NAME) $(MOZ_ADDONDIR)/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}
	unzip -o -d debian/$(MOZ_LIGHTNING_PKG_NAME)/$(MOZ_ADDONDIR)/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/ $(MOZ_DISTDIR)/xpi-stage/lightning-*.xpi

binary-install/$(MOZ_GDATA_PROVIDER_PKG_NAME)::
	dh_installdirs -p$(MOZ_GDATA_PROVIDER_PKG_NAME) $(MOZ_ADDONDIR)/extensions/{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}
	unzip -o -d debian/$(MOZ_GDATA_PROVIDER_PKG_NAME)/$(MOZ_ADDONDIR)/extensions/{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}/ $(MOZ_DISTDIR)/xpi-stage/gdata-provider-*.xpi

pre-build::
	$(shell /usr/bin/docbook-to-man $(CURDIR)/debian/thunderbird.sgml > $(CURDIR)/debian/$(MOZ_APP_NAME).1)

monkey-patch-upstream-files::
ifneq ($(MOZ_APP_BASENAME),$(MOZ_DEFAULT_APP_BASENAME))
	@echo "Changing Name in application.ini to $(MOZ_APP_BASENAME)"
	$(call moz_monkey_patch_file,$(DEB_SRCDIR)/mail/app/application.ini, \
		sed -i 's/^\(Name\=\).*/\1$(MOZ_APP_BASENAME)/')
	@echo "Setting MOZ_APP_UA_NAME to $(MOZ_DEFAULT_APP_BASENAME)"
	$(call moz_monkey_patch_file,$(DEB_SRCDIR)/mail/confvars.sh, \
		echo "MOZ_APP_UA_NAME=$(MOZ_DEFAULT_APP_BASENAME)" >>)
	@echo "Setting MOZ_APP_BASENAME to $(MOZ_APP_BASENAME)"
	$(call moz_monkey_patch_file,$(DEB_SRCDIR)/mail/confvars.sh, \
		sed -i 's/^\(MOZ_APP_BASENAME\=\).*/\1$(MOZ_APP_BASENAME)/')
endif
ifneq ($(MOZ_APP_NAME),$(MOZ_DEFAULT_APP_NAME))
	@echo "Setting MOZ_APP_NAME to $(MOZ_APP_NAME)"
	$(call moz_monkey_patch_file,$(DEB_SRCDIR)/mail/confvars.sh, \
		sed -i 's/^\(MOZ_APP_NAME\=\).*/\1$(MOZ_APP_NAME)/')
	@echo "Replacing instances of \"%APP%\" with \"thunderbird\" in mail/app/profile/all-thunderbird.js"
	$(call moz_monkey_patch_file,mail/app/profile/all-thunderbird.js, \
		sed -ri 's/%APP%/thunderbird/g')
	@echo "Replacing instances of \"%APP%\" with \"thunderbird\" in $(MOZ_BRANDING_DIR)/thunderbird-branding.js"
	$(call moz_monkey_patch_file,$(MOZ_BRANDING_DIR)/thunderbird-branding.js, \
		sed -ri 's/%APP%/thunderbird/g')
endif

clean::
	rm -f debian/messagingmenu/*.xpi
	rm -f debian/eds/*.xpi
	rm -f debian/eds/components/*.xpt
	rm -f debian/$(MOZ_APP_NAME).1

.PHONY: make-eds-addon make-messagingmenu-addon

## thunderbird 24.4.0+build1

=== mozilla/security/nss/cmd/chktest/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include ../platlibs.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

include ../platrules.mk

=== mozilla/security/nss/lib/softoken/legacydb/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

export:: private_export

# indicates dependency on freebl static lib
$(SHARED_LIBRARY): $(CRYPTOLIB)

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.raring
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.trusty
 Build-Depends: cdbs (>= 0.4.27),
 	debhelper (>= 7),
 	autotools-dev,

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,11 @@
 ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
 UNITY_DEPENDS	:= libindicate5, libdbusmenu-gtk4, libunity9, libebook-1.2-12, libedataserver-1.2-15
 else
+ifneq (,$(filter quantal raring saucy, $(DISTRIB_CODENAME)))
 UNITY_DEPENDS	:= libmessaging-menu0, libunity9, libebook-1.2-14, libedataserver-1.2-17
+else
+UNITY_DEPENDS	:= libmessaging-menu0, libunity9
+endif
 endif
 
 # Make sure thunderbird-couchdb is removed on upgrade to 12.10

=== debian/tests/control ===
Tests: xpcshell-tests post-process
Depends: thunderbird-testsuite
